New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2365 (HPC-02_Daley_Tiling) – NEMO

Opened 3 years ago

Closed 2 years ago

Last modified 2 years ago

#2365 closed Task (fixed)

HPC-02_Daley_Tiling

Reported by: hadcv Owned by: hadcv
Priority: low Milestone: IMMERSE 2020
Component: MULTIPLE Version: trunk
Severity: major Keywords:
Cc:

Description (last modified by hadcv)

This task relates to the use of loop tiling to improve cache reuse and improve computational performance.

Workplan action

Wikipage: wiki:2020WP/HPC-02_Daley_Tiling

Commit History (22)

ChangesetAuthorTimeChangeLog
14189hadcv2020-12-16T12:14:34+01:00

#2365: Remove comments from initial merge

14188hadcv2020-12-16T11:56:01+01:00

#2365: Remove dev branch

14090hadcv2020-12-04T14:32:28+01:00

#2365: Move dom_tile into domtile.F90

13898hadcv2020-11-27T15:42:26+01:00

#2365: Merge in changes from dev_r13508_HPC-09_communications_cleanup up to [13701]

13831hadcv2020-11-19T14:17:24+01:00

#2365: Merge trunk changes up to [13747]

13819hadcv2020-11-18T19:02:11+01:00

#2365: Final fixes and changes

13818hadcv2020-11-18T18:56:00+01:00

#2365: Tiling for prtctl

13745hadcv2020-11-06T19:28:22+01:00

#2365: Corrections for ORCA2 and to pass SETTE

13744hadcv2020-11-06T15:48:54+01:00

#2365: Replace file in CANAL test

13743hadcv2020-11-06T15:35:31+01:00

#2365: Remove file in CANAL test to get past commit error due to changed type

13742hadcv2020-11-06T15:28:05+01:00

#2365: Merge in trunk changes to [13688] for code other than src/cfgs

13741hadcv2020-11-06T14:50:17+01:00

#2365: Merge in trunk changes to [13688] for src/cfgs

13563hadcv2020-10-05T14:56:19+02:00

#2365: Fix is_tile bug

13556hadcv2020-10-02T13:01:08+02:00

#2365: Revert LBC changes in [13411]

13552hadcv2020-10-01T12:09:56+02:00

#2365: Remove diagnostic output lbc_lnk calls

13551hadcv2020-10-01T12:04:12+02:00

#2365: Replace trd_tra workarounds with ctl_warn if using tiling

13539hadcv2020-09-29T12:40:29+02:00

#2365: Use assumed-shape declarations in wrapped functions

13535hadcv2020-09-28T16:32:54+02:00

#2365: Delete unused branch

13534hadcv2020-09-28T16:32:39+02:00

#2365: Delete unused branch

13533hadcv2020-09-28T16:31:54+02:00

#2365: Delete unused branch

13411hadcv2020-08-18T17:58:08+02:00

#2365: Fix some bugs with non-MPP and GYRE code

13410hadcv2020-08-17T15:46:52+02:00

#2365: create branch for horizontal tiling

Change History (24)

comment:1 Changed 3 years ago by hadcv

  • Component changed from DYN to MULTIPLE
  • Description modified (diff)
  • wp_comment set to A trial implementation of tiling in `tra_ldf_iso` has been proposed as a framework and is to be reviewed.

Update progress to reflect trial implementation.

comment:2 Changed 2 years ago by hadcv

In 13410:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 2 years ago by hadcv

In 13411:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 2 years ago by hadcv

In 13533:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by hadcv

In 13534:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 2 years ago by hadcv

In 13535:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by hadcv

In 13539:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 2 years ago by hadcv

In 13551:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by hadcv

In 13552:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 2 years ago by hadcv

In 13556:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 2 years ago by hadcv

In 13563:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 2 years ago by hadcv

In 13741:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 2 years ago by hadcv

In 13742:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 2 years ago by hadcv

In 13743:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 2 years ago by hadcv

In 13744:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 2 years ago by hadcv

In 13745:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 2 years ago by hadcv

In 13818:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 2 years ago by hadcv

In 13819:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 2 years ago by hadcv

In 13831:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 2 years ago by hadcv

In 13898:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:21 Changed 2 years ago by hadcv

In 14090:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:22 Changed 2 years ago by hadcv

  • Resolution set to fixed
  • Status changed from new to closed
  • wp_comment changed from A trial implementation of tiling in `tra_ldf_iso` has been proposed as a framework and is to be reviewed. to Merged into trunk at [13982]

comment:23 Changed 2 years ago by hadcv

In 14188:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:24 Changed 2 years ago by hadcv

In 14189:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found
Note: See TracTickets for help on using tickets.